Bug 193848 - SElinux Enforcing prevents matlab from running
SElinux Enforcing prevents matlab from running
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-02 01:20 EDT by Stefan Llewellyn Smith
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-28 16:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Llewellyn Smith 2006-06-02 01:20:08 EDT
Description of problem:

matlab will not install run with SELlinux Enforcing.

Version-Release number of selected component (if applicable):

matlab 7.2.0.294 (R2006a)
selinux-policy-2.2.40-1.fc5
selinux-policy-targeted-2.2.40-1.fc5

How reproducible:

Always

Steps to Reproduce:
1. Install matlab by copying from another machine
2. matlab
3.
  
Actual results:

/usr/local/matlab72/bin/glnx86/MATLAB: error while loading shared libraries: /usr/local/matlab72/
bin/glnx86/libmwlapack.so: cannot restore segment prot after reloc: Permission denied

Expected results:

matlab starts

Additional info:

/usr/sbin/setenforce 0 fixes this. A similar thing happened with earlier releases according to some web 
searches.
Installing matlab doesn't work for different reasons so bypassed that.
Comment 1 Daniel Walsh 2006-06-15 22:37:27 EDT
Fixed in selinux-policy-2.2.47-3
Comment 2 Daniel Walsh 2007-03-28 16:06:11 EDT
Closing bugs

Note You need to log in before you can comment on or make changes to this bug.